package com.tankalfa;
import java.io.*;
 
/**
 * Сегодня 23.03.23
 * класс Сохранения данных
 * biverusvelikij@gmail.com
 * 
*/
public class Rms {
  
    
 public static  File f; 
 public static  OutputStream os;
 public static InputStream is;   
 public static DataOutputStream dos;
   public static DataInputStream dis;
   public static String n="/storage/emulated/0/Sky/"; 
    
   //12.05.23 нужно название главного пакета 
   public static String n1="/data/user/0/com.dar/";
    
    
    public static void input (){
        
      f=new File(n1+"1.save");
     if(!f.isFile()){output(0);}
      else{ 
        
        try { 
       
       
              
        is=new FileInputStream(f);
        dis=new DataInputStream(is);   
         
                
       /*         
       D.x=dis.readInt();
       D.y=dis.readInt();         
       D.hx=dis.readInt();
       D.hy=dis.readInt(); 
                 
       D.Q=dis.readInt();
       D.kv=dis.readInt(); 
       D.bo=dis.readInt();
       D.ja=dis.readInt();        
        
       D.kl=dis.readInt();
       D.kan=dis.readInt(); 
       D.zam=dis.readInt();
       D.ins=dis.readInt();      
                
       D.ko=dis.readInt();
       D.ko2=dis.readInt(); 
       D.otk=dis.readInt();
       D.sm1=dis.readInt();
       
       D.sm2=dis.readInt();
       D.bom=dis.readInt(); 
       D.or=dis.readInt();
       D.od=dis.readInt();        
       D.zd=dis.readInt(); 
              */  
            }catch(Exception e){}}
          
        
        
        
    }
    public static void output(int id){
      
        f=new File(n1);
        f.mkdir();
        f=new File(n1+"1.save");
        
      /*  
     if(id==0){
      D.hx=784;D.hy=382;D.x=384;D.y=132;      
       D.Q=0;D.kv=1;D.bo=0;D.ja=0;    
      
       D.kl=0;D.kan=0;D.zam=0;D.ins=0;     
       D.ko=1;D.ko2=1;D.otk=0;D.sm1=0;
    
      D.sm2=0;D.bom=0;D.or=0;D.od=5;
     D.zd=100;
       }
        
        
        
        
        try { 
        
            
        f.createNewFile();
       
        os=new FileOutputStream(f);
        dos=new DataOutputStream(os);   
          
         dos.writeInt(D.x);
         dos.writeInt(D.y);   
         dos.writeInt(D.hx);
         dos.writeInt(D.hy);
             
           
         dos.writeInt(D.Q);
         dos.writeInt(D.kv);
         dos.writeInt(D.bo);
         dos.writeInt(D.ja);    
          
         dos.writeInt(D.kl);
         dos.writeInt(D.kan);
         dos.writeInt(D.zam);
         dos.writeInt(D.ins); 
            
         dos.writeInt(D.ko);
         dos.writeInt(D.ko2);
         dos.writeInt(D.otk);
         dos.writeInt(D.sm1); 
            
         dos.writeInt(D.sm2);
         dos.writeInt(D.bom);
         dos.writeInt(D.or);
         dos.writeInt(D.od); 
         dos.writeInt(D.zd);   
       
        }catch(Exception e){} 
        */
    }
    
    /// e c
}
